Bug 1996849 - Apiserver liveness probe is marking it as unhealthy during normal shutdown
Summary: Apiserver liveness probe is marking it as unhealthy during normal shutdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.6.z
Assignee: Elana Hashman
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1996846
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-23 19:55 UTC by OpenShift BugZilla Robot
Modified: 2021-09-29 12:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 12:06:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 902 0 None open [release-4.6] Bug 1996849: UPSTREAM: 98571: kubelet: Stop probing a pod during graceful shutdown 2021-09-16 01:07:49 UTC
Red Hat Product Errata RHBA-2021:3643 0 None None None 2021-09-29 12:07:03 UTC

Comment 4 Sunil Choudhary 2021-09-23 15:10:05 UTC
Checked on 4.6.0-0.nightly-2021-09-21-161128.

Rebooted master nodes and performed a cluster upgrade, do not see api-server being killed.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-09-21-161128   True        False         3h13m   Cluster version is 4.6.0-0.nightly-2021-09-21-161128

Comment 6 errata-xmlrpc 2021-09-29 12:06:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.46 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3643


Note You need to log in before you can comment on or make changes to this bug.